[gnome-shell/wip/fmuellner/more-ci: 2/7] ci: Sync check-commit-log script with mutter
- From: Florian Müllner <fmuellner src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-shell/wip/fmuellner/more-ci: 2/7] ci: Sync check-commit-log script with mutter
- Date: Thu, 21 Feb 2019 21:16:43 +0000 (UTC)
commit 24944afbff2cf7c66b4a20107272a0b318c6e8e5
Author: Florian Müllner <fmuellner gnome org>
Date: Sat Feb 16 17:44:27 2019 +0100
ci: Sync check-commit-log script with mutter
A couple of cleanups came out from the review in mutter, catch
up with those.
https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/408
.gitlab-ci/check-commit-log.sh | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
---
diff --git a/.gitlab-ci/check-commit-log.sh b/.gitlab-ci/check-commit-log.sh
index 87f1978ce..cc3bcee60 100755
--- a/.gitlab-ci/check-commit-log.sh
+++ b/.gitlab-ci/check-commit-log.sh
@@ -11,9 +11,21 @@ branch_point=$(git merge-base HEAD FETCH_HEAD)
commits=$(git log --format='format:%H' $branch_point..$CI_COMMIT_SHA)
-test -z "$commits" && { echo Commit range empty; exit 1; }
+if [ -z "$commits" ]; then
+ echo Commit range empty
+ exit 1
+fi
+
+function commit_message_has_url() {
+ commit=$1
+ commit_message=$(git show -s --format='format:%b' $commit)
+ echo "$commit_message" | grep -qe
"\($CI_MERGE_REQUEST_PROJECT_URL/\(issues\|merge_requests\)/[0-9]\+\|https://bugzilla.gnome.org/show_bug.cgi?id=[0-9]\+\)"
+ return $?
+}
for commit in $commits; do
- git show -s --format='format:%b' $commit | grep -qe
"\($CI_MERGE_REQUEST_PROJECT_URL/\(issues\|merge_requests\)/[0-9]\+\|https://bugzilla.gnome.org/show_bug.cgi?id=[0-9]\+\)"
||
- { echo "Missing merge request or issue URL on commit $(echo $commit | cut -c -8)"; exit 1; }
+ if ! commit_message_has_url $commit; then
+ echo "Missing merge request or issue URL on commit $(echo $commit | cut -c -8)"
+ exit 1
+ fi
done
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]